Package io.dapr.v1

# Interface CommonProtos.HTTPExtensionOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `CommonProtos.HTTPExtension`, `CommonProtos.HTTPExtension.Builder`

Enclosing class:
  CommonProtos

    public static interface CommonProtos.HTTPExtensionOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `containsQuerystring​(java.lang.String key)` | querystring includes HTTP querystring.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getQuerystring()` | Deprecated.
  `int` | `getQuerystringCount()` | querystring includes HTTP querystring.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getQuerystringMap()` | querystring includes HTTP querystring.
  `java.lang.String` | `getQuerystringOrDefault​(java.lang.String key, java.lang.String defaultValue)` | querystring includes HTTP querystring.
  `java.lang.String` | `getQuerystringOrThrow​(java.lang.String key)` | querystring includes HTTP querystring.
  `CommonProtos.HTTPExtension.Verb` | `getVerb()` | Required.
  `int` | `getVerbValue()` | Required.

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getVerbValue

    int getVerbValue()

         Required. HTTP verb.

    `.dapr.proto.common.v1.HTTPExtension.Verb verb = 1;`
    Returns:
      The enum numeric value on the wire for verb.

  - ### getVerb

    CommonProtos.HTTPExtension.Verb getVerb()

         Required. HTTP verb.

    `.dapr.proto.common.v1.HTTPExtension.Verb verb = 1;`
    Returns:
      The verb.

  - ### getQuerystringCount

    int getQuerystringCount()

         querystring includes HTTP querystring.

    `map<string, string> querystring = 2;`

  - ### containsQuerystring

    boolean containsQuerystring​(java.lang.String key)

         querystring includes HTTP querystring.

    `map<string, string> querystring = 2;`

  - ### getQuerystring

    @Deprecated java.util.Map<java.lang.String,​java.lang.String> getQuerystring()
    Deprecated.
    Use `getQuerystringMap()` instead.

  - ### getQuerystringMap

    java.util.Map<java.lang.String,​java.lang.String> getQuerystringMap()

         querystring includes HTTP querystring.

    `map<string, string> querystring = 2;`

  - ### getQuerystringOrDefault

    java.lang.String getQuerystringOrDefault​(java.lang.String key, java.lang.String defaultValue)

         querystring includes HTTP querystring.

    `map<string, string> querystring = 2;`

  - ### getQuerystringOrThrow

    java.lang.String getQuerystringOrThrow​(java.lang.String key)

         querystring includes HTTP querystring.

    `map<string, string> querystring = 2;`